Bug 212441 - Ipod not automatically mounted by gnome-mount (firewire)
Ipod not automatically mounted by gnome-mount (firewire)
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 15:37 EDT by Edouard Bourguignon
Modified: 2013-03-05 22:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lshal output (128.68 KB, text/plain)
2006-10-28 03:53 EDT, Edouard Bourguignon
no flags Details
lshal output (112.71 KB, text/plain)
2006-12-20 17:57 EST, Ronny Buchmann
no flags Details

  None (edit)
Description Edouard Bourguignon 2006-10-26 15:37:37 EDT
Description of problem:

Pluging in Ipod on a firewire dock doesn't automatically mount it by gnome-mount

Version-Release number of selected component (if applicable):


How reproducible:

seems to be static

Steps to Reproduce:
1. install fc6
2. plug in ipod

Actual results:

Ipod and disk partitions are corectly detected. Need to be manualy mounted
(works fine btw).

Expected results:

Ipod should be automatically mounted by gnome-mount.

Additional info:

ieee1394: Node changed: 0-00:1023 -> 0-01:1023
scsi7 : SBP-2 IEEE-1394
ieee1394: sbp2: Workarounds for node 0-00:1023: 0x8 (firmware_revision 0x0a2700,
vendor_id 0x000a27, model_id 0x000021)
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: Node 0-00:1023: Max speed [S400] - Max payload [2048]
  Vendor: Apple     Model: iPod              Rev: 1.62
  Type:   Direct-Access-RBC                  ANSI SCSI revision: 00
sdb: Spinning up disk.......ready
SCSI device sdb: 78126047 512-byte hdwr sectors (40001 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 08 00 00
SCSI device sdb: drive cache: write through
SCSI device sdb: 78126047 512-byte hdwr sectors (40001 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 08 00 00
SCSI device sdb: drive cache: write through
 sdb: sdb1 sdb2
sd 7:0:0:0: Attached scsi removable disk sdb
sd 7:0:0:0: Attached scsi generic sg1 type 14

01:03.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)

I don't know if it happens only with ipod, will try with an external hdd.
Comment 1 David Zeuthen 2006-10-26 16:10:50 EDT
Are you running as root?
Comment 2 Edouard Bourguignon 2006-10-27 02:18:44 EDT
no, as a normal user. Do you think it's just a permissions problem? I can try
with root
Comment 3 Edouard Bourguignon 2006-10-27 02:41:52 EDT
no same thing in my root session, same dmesg and nothing mounted
Comment 4 David Zeuthen 2006-10-27 11:26:06 EDT
Right, automounting is known not to work for root because of pam_console issues.
I presume you are running GNOME? Please include as attachments

 1. output of 'lshal --monitor' when plugging in iPod
 2. outpot of 'lshal' when the ipod is plugged in

Comment 5 Edouard Bourguignon 2006-10-27 11:28:44 EDT
yep i'm running GNOME

I will include those outputs ASAP
Comment 6 Edouard Bourguignon 2006-10-28 03:46:17 EDT
Here is the output of 'lshal --monitor' when plugging in ipod:

Start monitoring devicelist:
ieee1394_guid_a270002937bb2_scsi_host added
ieee1394_guid_a270002937bb2_scsi_host_scsi_device_lun0 added
ieee1394_guid_a270002937bb2_scsi_host_scsi_device_lun0 property
info.linux.driver = 'sd' (new)
ieee1394_guid_a270002937bb2_scsi_host_scsi_device_lun0_scsi_generic added

that's all
Comment 7 Edouard Bourguignon 2006-10-28 03:53:29 EDT
Created attachment 139629 [details]
lshal output

output of 'lshal' when ipod is pluged in
Comment 8 Filipe Miranda 2006-11-10 22:32:31 EST
I have the same problem but when mounting through USB.
The Gnome does not mount it and I'm not able to use any of the ipod's managers
like amarok or gtkpod to transfer musics. I can just manually mount it and use
it as a pen drive.

FC6 running 2.6.18-1.2798.fc6

00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW
[Radeon Mobility 7500]
02:00.0 CardBus bridge: Texas Instruments PCI4520 PC card Cardbus Controller
(rev 01)
02:00.1 CardBus bridge: Texas Instruments PCI4520 PC card Cardbus Controller
(rev 01)
02:01.0 Ethernet controller: Intel Corporation 82540EP Gigabit Ethernet
Controller (Mobile) (rev 03)
02:02.0 Network controller: AIRONET Wireless Communications Cisco Aironet
Wireless 802.11b

usb 4-4: new high speed USB device using ehci_hcd and address 2
usb 4-4: configuration #1 chosen from 2 choices
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
  Vendor: Apple     Model: iPod              Rev: 1.62
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
scsi 0:0:0:0: Attached scsi generic sg0 type 0
SCSI device sda: 3964928 2048-byte hdwr sectors (8120 MB)
sda: Write Protect is off
sda: Mode Sense: 68 00 00 08
sda: assuming drive cache: write through
SCSI device sda: 3964928 2048-byte hdwr sectors (8120 MB)
sda: Write Protect is off
sda: Mode Sense: 68 00 00 08
sda: assuming drive cache: write through
 sda: sda1 sda2
sd 0:0:0:0: Attached scsi removable disk sda
Comment 9 Ronny Buchmann 2006-12-20 17:55:53 EST
lshal --monitor

Start monitoring devicelist:
ieee1394_guid_a2700029f957f_scsi_host added
ieee1394_guid_a2700029f957f_scsi_host_scsi_device_lun0 added
ieee1394_guid_a2700029f957f_scsi_host_scsi_device_lun0 property
info.linux.driver = 'sd' (new)
ieee1394_guid_a2700029f957f_scsi_host_scsi_device_lun0_scsi_generic added
Comment 10 Ronny Buchmann 2006-12-20 17:57:15 EST
Created attachment 144151 [details]
lshal output

my lshal output after plugging the ipod in
Comment 11 John Heidemann 2006-12-20 18:06:51 EST
I observed the same problem with a USB-mounted ipod.
I believe   this is because gnome-volume-manager is now "smarter" about ipods.
Automounting works again (for me) after  running gnome-volume-properties and
selecting  "play music files when connected" on the multimedia tab.

(Grumble: this is yet another case of a gnome enhancement appearing unannounced
and backwards compatibility.  It's basically an improvement, but painful for
older users, and particularly painful because gnome-volume-manager has no
documentation whatsoever.)

If this fix works for others this bug can probably be closed out as NOTABUG.
Comment 12 Edouard Bourguignon 2007-06-02 06:43:25 EDT
what Johnh explains was working great on FC6 but now it seems that it doesn't
work anymore on F7 
Comment 13 Edouard Bourguignon 2007-06-05 14:54:59 EDT
my lshal output

Start monitoring devicelist:
20:53:23.255: ieee1394_guida270002937bb2 added
20:53:23.455: ieee1394_guida270002937bb2_unit0 added
20:53:26.621: ieee1394_guida270002937bb2_unit0_scsi_host added
20:53:26.624: ieee1394_guida270002937bb2_unit0_scsi_host_scsi_device_lun0 added
ieee1394_guida270002937bb2_unit0_scsi_host_scsi_device_lun0_scsi_generic added
Comment 14 Edouard Bourguignon 2007-06-05 14:59:49 EDT
works great on USB
Comment 15 Bug Zapper 2008-04-04 00:08:41 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 16 Bug Zapper 2008-05-06 12:33:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.